# Template Class iterator_impl_base

- Defined in File iterator.hpp

## Class Documentation

template<bool Const, typename ...Ts>
class iterator_impl_base

  Implementation of an iterator that can return multiple values in a tuple. Of course, that tuple can then be used in structured binding to receive the values in a for loop e.g.

  Template Parameters:

    - Category – The category for this iterator

    - Ts – The types this iterator can be dereferenced to

  Public Static Attributes

  static std::size_t N = sizeof...(Ts)

    variable that contains the number of elements in the tuple